From d815de0195c9af754542052bb29bb9659decda6b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 30 2020 04:31:26 +0000
Subject: [PATCH 206/2232] Levarage the Display impl for namespace printing


---

diff --git a/gen/write.rs b/gen/write.rs
index a1d5748..1f7adda 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -305,10 +305,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     } else {
         write_extern_return_type_space(out, &efn.ret, types);
     }
-    for name in out.namespace.clone() {
-        write!(out, "{}$", name);
-    }
-    write!(out, "cxxbridge02${}(", efn.ident);
+    write!(out, "{}cxxbridge02${}(", out.namespace, efn.ident);
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 {
             write!(out, ", ");
@@ -413,10 +410,7 @@ fn write_rust_function_decl(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     } else {
         write_extern_return_type_space(out, &efn.ret, types);
     }
-    for name in out.namespace.clone() {
-        write!(out, "{}$", name);
-    }
-    write!(out, "cxxbridge02${}(", efn.ident);
+    write!(out, "{}cxxbridge02${}(", out.namespace, efn.ident);
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 {
             write!(out, ", ");
@@ -487,10 +481,7 @@ fn write_rust_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         if efn.throws {
             write!(out, "::rust::Str::Repr error$ = ");
         }
-        for name in out.namespace.clone() {
-            write!(out, "{}$", name);
-        }
-        write!(out, "cxxbridge02${}(", efn.ident);
+        write!(out, "{}cxxbridge02${}(", out.namespace, efn.ident);
         for (i, arg) in efn.args.iter().enumerate() {
             if i > 0 {
                 write!(out, ", ");

